#! /usr/bin/python
import csv
from pylab import *
import datetime
from datetime import timedelta
import time
import os.path
csv_dir = "csv/"
img_dir = "imgs/"
sleep_time = 3600

while True :
    yesterday = datetime.date.today() - timedelta(1)
    png_filename = img_dir + str(yesterday) + ".png"
    if os.path.exists(png_filename) :
        continue

    sum_hour = {}
    for hora in range(24) :
        sum_hour[ str( '%02d' % hora ) ] = (0,0,0)
        
    reader = csv.reader(open(csv_dir + str(yesterday) + ".csv", "rb"), delimiter=';', quoting=csv.QUOTE_NONE)

    for row in reader:
        sum_hour[row[0][0:2]] = (sum_hour[row[0][0:2]][0]+int(int(row[1])>0),
                                 sum_hour[row[0][0:2]][1]+int(int(row[2])>0),
                                 sum_hour[row[0][0:2]][2]+int(int(row[3])>0))

    file = open(csv_dir + str(yesterday) + "-hourly.csv","wb")
    horas = []
    quadra = [[],[],[]]
    for key,val in sorted(sum_hour.items()) :
        file.write( key + ";" + str(val[0]) + ";" + str(val[1]) + ";" + str(val[2]) + "\n" )
        horas.append(key)
        quadra[0].append( val[0]+val[1]+val[2] )
        quadra[1].append( val[0]+val[1])
        quadra[2].append( val[0])
    file.flush()

    N = 24
    ind = arange(N)    
    width = 0.35 
    winter()
    p1 = bar(ind, quadra[0], width, color='#008000')
    p2 = bar(ind, quadra[1], width, color='#ADFF2F')
    p3 = bar(ind, quadra[2], width, color='#FFFF00')

#ylabel('Scores')
    title('FEF Unicamp - Uso das Quadras de Tenis em ' + yesterday.strftime("%d/%m/%Y") )
    xticks(ind+width/2., horas )
    yticks(arange(0))
    legend( (p1[0], p2[0],p3[0]), ('Quadra 1', 'Quadra 2', 'Quadra 3') )

    savefig(png_filename,dpi=80)
    time.sleep(sleep_time)
    
